Bug 461912 - Review Request: puzzles - A collection of one-player puzzle games
Review Request: puzzles - A collection of one-player puzzle games
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-11 07:58 EDT by Victor Bogado
Modified: 2008-12-15 18:27 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-15 18:27:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sergio.pasra: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Victor Bogado 2008-09-11 07:58:14 EDT
Spec URL: http://bogado.net/rpm/puzzles.spec
SRPM URL: http://bogado.net/rpm/puzzles-8149-1.bog9.src.rpm
Description: this is a collection of small desktop toys, little games that you can pop up in a window and play for two or three minutes while you take a 
break from whatever else you were doing.
Comment 1 Victor Bogado 2008-09-11 08:06:31 EDT
Details about this package the upstream developer don't use normal version numbers he simply uses the subversion release number as an identifier for each version, this is why the version look funny. I considered several options to treat this: 

- use the version as if it was a pre-release, but I decided against because as far as I know this stay as a pre-release forever. 

- use an artificial version "0.#release" but this could conflict with a future change of mind of the upstream developer. 

- Use the version as the developer have made, using simply the release number.

I have chosen the later, as it is the most "pristine" way of selecting a version number, that will hopefully be compatible and comparable with version number on other distributions.
Comment 2 Orcan Ogetbil 2008-10-06 04:08:55 EDT
I would suggest you to have a look at: http://fedoraproject.org/wiki/Packaging/NamingGuidelines#PreReleasePackages

Did you try to contact the author to ask about this version issue?
Comment 3 Sergio Pascual 2008-10-12 15:25:18 EDT
Package fails to build in mock. You need to add 
BuildRequires: desktop-file-utils
Comment 4 Sergio Pascual 2008-10-18 13:42:24 EDT
I have added the dependence in desktop-file-utils to build the package. 

   * In Source0 you can use the %{name} macro instead of puzzles if you want
   * BuildRequires: sed is in the exception list, so it can be safely removed. Perl it isn't but is pulled anyway. You can remove it also or leave it to be in the safe side. You have to add desktop-file-utils too.
   * Source doesn't match upstream source (there is a new version upstream)
   * In description there's a typo: this is a collection -> This is a colection
   * In %setup, you can run sed in place with 
     sed -e "s/CFLAGS = .*-g/CFLAGS = %{optflags}/" -i Makefile
   * The naming of the binaries seems problematic. For example, there is a blackbox package that provides /usr/bin/blackbox already in Fedora. Other puzzles have very generic names: cube, guess, map, mines... I suggest you to rename all the puzzles, something like puzzle_name or puzzle-name
   * You are putting the desktop files in a directory inside /usr/share/applications. I think is clearer to put them all in the main directory and use a prefix if necessary (the different openoffice applications follow this approach)
   * The license text must be included in %doc
Comment 5 Victor Bogado 2008-10-20 17:58:09 EDT
There, I still have some questions: 

- the author said it will keep using the subversion revision number as a version numbering, but he also said that he don´t mind to have the pre-release scheme of versioning. I believe that following the upstream version, even if it get weirdly big version numbers is the way to go, but what is your opinion.

- About the desktop files I don't like the fact that all the puzzles get cluttered on the menu, but I don't know how to fix this. The ideal solution would be for a submenu for the puzzle collection inside the game menu. Is this feasable?
Comment 6 Victor Bogado 2008-10-20 18:00:23 EDT
Wait I just found a bug on the above submitted files. I will fix it and upload a new pair in a few minutes, sorry...
Comment 7 Victor Bogado 2008-10-20 18:10:38 EDT
I just realized that I didn't have posted the URLs before :P

The problem was fixed and the files uploaded here : 

http://bogado.net/rpm/puzzles-8200-2.bog9.src.rpm
http://bogado.net/rpm/puzzles.spec
Comment 8 Sergio Pascual 2008-10-26 06:00:03 EDT
* You still need to add BuildRequires: desktop-file-utils
* I think the iconv line belongs to %prep
* The version in the two first lines in %changelog is wrong, it should be 8200
* The sentence in %description still begins with a lower case letter.

About the version, I would follow upstream convention. There are other packages with high version numbers (e.g. xterm is 236)

About the menus, I don't think is possible/convenient to modify the menu layout. Users can change it using applications (for example, alacarte). Anyway, I will ask in the packagers list
Comment 9 Sergio Pascual 2008-10-27 10:42:05 EDT
There is a package called game-menus, that create submenus based in subcategories. The puzzles go into 'Logic & Puzzles' 

By the way, the name of the puzzles should start with a capital letter, following the convention of the rest of the menu entries.
Comment 10 Victor Bogado 2008-10-27 18:08:25 EDT
Damn I am distracted, I was sure that I had done everything, and ended up forgetting the most important point. :P 

I made the changes, and putted on the same bat-site. 

http://bogado.net/rpm/puzzles-8200-3.bog9.src.rpm
http://bogado.net/rpm/puzzles.spec

I installed the games-menus and it is good. I was thinking if the package could be divided into several sub packages, one for each game and a master-package that could install all the mini-games, the only problem is that I don't know how to create the sub-packages based on what binaries the compilation produces.
Comment 11 Victor Bogado 2008-12-11 14:10:46 EST
ping?
Comment 12 Victor Bogado 2008-12-11 16:36:49 EST
There is a new upstream version, I made a new srpm and spec file to reflect that.

http://bogado.net/rpm/puzzles-8365-1.bog10.src.rpm
http://bogado.net/rpm/puzzles.spec

Otherwise those have the updates asked in comment #9
Comment 13 Sergio Pascual 2008-12-13 11:46:51 EST
Sorry for the delay, somehow I missed your updates.
 
This package is APPROVED
Comment 14 Victor Bogado 2008-12-14 14:39:52 EST
New Package CVS Request
=======================
Package Name: puzzles
Short Description:  A collection of one-player puzzle games
Owners: bogado
Branches: F-9 F-10
InitialCC:
Comment 15 Dennis Gilmore 2008-12-15 15:46:23 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.